Create Link
Create Link
POST
/
links
Create Link
curl --request POST \
--url https://services.leadconnectorhq.com/links \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"locationId": "ve9EPM428h8vShlRW1KT",
"name": "first tag",
"redirectTo": "https://www.google.com/"
}
'const options = {
method: 'POST',
headers: {
Version: '<version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
locationId: 've9EPM428h8vShlRW1KT',
name: 'first tag',
redirectTo: 'https://www.google.com/'
})
};
fetch('https://services.leadconnectorhq.com/links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/links"
payload = {
"locationId": "ve9EPM428h8vShlRW1KT",
"name": "first tag",
"redirectTo": "https://www.google.com/"
}
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"link": {
"id": "n4AriwEnFrGh3tu08W0U",
"name": "first tag",
"redirectTo": "https://www.google.com/",
"fieldKey": "{{trigger_link.n4AriwEnFrGh3tu08W0U}}",
"locationId": "ve9EPM428h8vShlRW1KT"
}
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}Authorizations
Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.
Headers
API Version
Available options:
2021-07-28 Body
application/json
Response
Successful response
Show child attributes
Show child attributes
Last modified on March 8, 2026
Was this page helpful?
Create Link
curl --request POST \
--url https://services.leadconnectorhq.com/links \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"locationId": "ve9EPM428h8vShlRW1KT",
"name": "first tag",
"redirectTo": "https://www.google.com/"
}
'const options = {
method: 'POST',
headers: {
Version: '<version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
locationId: 've9EPM428h8vShlRW1KT',
name: 'first tag',
redirectTo: 'https://www.google.com/'
})
};
fetch('https://services.leadconnectorhq.com/links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/links"
payload = {
"locationId": "ve9EPM428h8vShlRW1KT",
"name": "first tag",
"redirectTo": "https://www.google.com/"
}
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"link": {
"id": "n4AriwEnFrGh3tu08W0U",
"name": "first tag",
"redirectTo": "https://www.google.com/",
"fieldKey": "{{trigger_link.n4AriwEnFrGh3tu08W0U}}",
"locationId": "ve9EPM428h8vShlRW1KT"
}
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}